M_ActivityFishingCeleRank = {}

function M_ActivityFishingCeleRank:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityFishingCeleRank:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, ItemID = {1,94,296}, ItemCount = {100000000,21,100}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, ItemID = {1,94,296}, ItemCount = {50000000,14,50}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, ItemID = {1,94,296}, ItemCount = {10000000,7,30}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 6, ItemID = {1,17,296}, ItemCount = {5000000,30,20}}
	self.datas[5] = {ID = 5, StartRank = 7, EndRank = 10, ItemID = {1,17,296}, ItemCount = {1000000,20,10}}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, ItemID = {1,17,296}, ItemCount = {500000,10,5}}
end

M_ActivityFishingCeleRank:init()
